## devscripts 1.5

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

SHELL = /bin/bash

all:
	$(CC) -o build build.c
	$(CC) -O2 -o debpkg debpkg.c

clean:
	-rm build

install:	
	install -d $(DESTDIR)/usr/{bin,sbin} $(DESTDIR)/etc
	install uscan uupdate debi debc release debchange $(DESTDIR)/usr/bin
	install debclean $(DESTDIR)/usr/bin
	install -g root -o root build debpkg $(DESTDIR)/usr/bin
	ln -s debchange $(DESTDIR)/usr/bin/dch
	install -d $(DESTDIR)/usr/lib/devscripts
	cp upload.sites $(DESTDIR)/etc
	cp dist-changes $(DESTDIR)/usr/lib/devscripts

=== debian/changelog ===
devscripts (1.5) unstable; urgency=low

  * #18235: build checks for executable bit on debian/rules and sets it if
    not set before building package. build fails when debian/rules is not
    present.

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Feb 1998 20:01:09 -0800

devscripts (1.4) unstable; urgency=low

  * Upgrade to 2.4.0.0
  * remove deblint from the package since there is now lintian which is much
    better.

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Feb 1998 14:37:42 -0800

devscripts (1.3) unstable; urgency=low

  * build: change default path. Remove sbin dirs add /usr/local/bin

 -- Christoph Lameter <clameter@debian.org>  Wed,  4 Feb 1998 13:07:04 -0800

devscripts (1.2) unstable; urgency=low

  * Fix a problem with anonymous ftp upload of larger lists of files.
  * Remove ftp.fuller.edu and lalug.org upload queue since they no longer exist.
  * Add anonymous ftp type upload capability.
  * Add third party site upload capability.
  * Add debs.fuller.edu site information

 -- Christoph Lameter <clameter@debian.org>  Tue,  2 Dec 1997 12:53:18 -0800

devscripts (1.1) unstable; urgency=low

  * Remove release fix for epochs introduced in 1.0 since it breaks lots of
    things until I figure out what is wrong.
  * Drop dependency on fileutils.

 -- Christoph Lameter <clameter@debian.org>  Wed, 29 Oct 1997 17:14:26 -0800

devscripts (1.0) unstable; urgency=low

  * release: Make scp not ask anything so release does not hang when scp
    wants a password.
  * #13908 Try to fix release so that it handles epochs.
  * #13681 Fix manpage for release to indicate that no annoucements will be
    generated when dupload is used.
  * #13777 no longer use printf in debchange (dch)
  * #13846 Output Format of release changed
  * Suggest fakeroot
  * Split off from debmake
  * Update documentation

 -- Christoph Lameter <clameter@debian.org>  Mon, 20 Oct 1997 21:02:27 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: devscripts
Section: utils
Priority: optional
Maintainer: Christoph Lameter <clameter@debian.org>
Standards-Version: 2.4.0.0

Package: devscripts
Replaces: debmake
Architecture: any
Depends: ${shlibs:Depends},dpkg-dev,file,patch,perl,ed
Suggests: fakeroot
Description: Scripts to make the life of a Debian Package maintainer easier.
  Contains the following (used to be part of debmake):
   - debchange: Maintain debian/changelog files to record changes
   - debclean: Purge a debian sourcetree
   - release: Upload, manage release numbers, clear bugs, announcements...
   - build: Wrapper to build a package without having to su or worry about
  how to invoke dpkg to build using fakeroot. Also deals with common
  environment problems, umask etc.
   - debpkg : dpkg wrapper to be able to manage/test packages without su.
   - debi,debc convenience scripts for often repeated maintainer tasks.
   - deblint: Verify that a package conforms to certain guidelines
   - uupdate: Integrate upstream changes into a sourcepackage
   - uscan: Scan upstream sites for changes
  And a set of example mail filters for use of debian mailing lists with exim procmail etc,

## devscripts 1.8.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	$(CC) -O2 -o debpkg debpkg.c
 
 clean:
-	-rm build
+	-rm build debpkg
 
 install:	
 	install -d $(DESTDIR)/usr/{bin,sbin} $(DESTDIR)/etc

=== debian/changelog ===
devscripts (1.8.1) frozen; urgency=medium

  * Corrected debchange syntax error (closes #31760)

 -- Julian Gilbey <jdg@debian.org>  Tue, 12 Jan 1999 12:48:30 +0000

devscripts (1.8) frozen; urgency=medium

  * Corrected /tmp security problems in release, uupdate and debchange
    (reported by Joey Hess)

 -- Julian Gilbey <jdg@debian.org>  Fri,  8 Jan 1999 15:33:20 +0000

devscripts (1.7.1) frozen unstable; urgency=medium

  * Corrected file permissions (Closes: #31447)

 -- Julian Gilbey <jdg@debian.org>  Mon,  4 Jan 1999 10:29:19 +0000

devscripts (1.7) frozen unstable; urgency=low

  * Changed uupdate to be more choosy about the version numbers
    automatically recognised  (Closes: #30838)
  * New maintainer

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Dec 1998 13:07:13 +0000

devscripts (1.6) unstable; urgency=low

  * #23098 build manpage update
  * #23097 build: Preserve FAKEROOTKEY
  * #19172 remove description for deblint
  * #18564 depend on mailx
  * #14314 release: epochs work now.
  * #18498 conffiles are now absolute
  * #24455 #24074 release: new scp requires -q option

 -- Christoph Lameter <clameter@debian.org>  Sat, 11 Jul 1998 21:45:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: devscripts
 Section: utils
 Priority: optional
-Maintainer: Christoph Lameter <clameter@debian.org>
+Maintainer: Julian Gilbey <jdg@debian.org>
 Standards-Version: 2.4.0.0
 
 Package: devscripts
 Replaces: debmake
 Architecture: any
-Depends: ${shlibs:Depends},dpkg-dev,file,patch,perl,ed
+Depends: ${shlibs:Depends},dpkg-dev,file,patch,perl,ed,mailx
 Suggests: fakeroot
 Description: Scripts to make the life of a Debian Package maintainer easier.
   Contains the following (used to be part of debmake):

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=debmake

build.debian:
	$(checkdir)
	make

	touch build.debian

clean:
	$(checkdir)
	-rm -f build.debian
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars

binary-indep:	checkroot build.debian
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build.debian
	$(checkdir)
	-rm -rf debian/tmp debian/*/tmp
	make install DESTDIR=debian/tmp
	debstd forward* procmailrc
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)

.PHONY: binary binary-arch binary-indep clean checkroot

## devscripts 2.5.8.2

=== debian/changelog ===
devscripts (2.5.8.2) stable; urgency=medium

  * Fix insecure regex's in debian.procmail example filter reported by
    Shane Wegner <shane@debian.org>

 -- Julian Gilbey <jdg@debian.org>  Sat,  5 May 2001 23:05:15 +0100

devscripts (2.5.8.1) frozen; urgency=low

  * Fix checkgettext.pm so it actually works when liblocale-gettext-perl
    is not installed (conflict with POSIX module) - RM: this makes most of
    the package unusable in such a case, so is RC
  * Modify dscverify to see the keyrings on ftp-master as well as on
    master.

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 May 2000 09:32:07 +0100

devscripts (2.5.8) frozen unstable; urgency=low

  * Correct debdiff to allow 2 *.changes files (closes: #58458)
    (RM: this is an important bug)

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Mar 2000 23:37:05 +0000

devscripts (2.5.7) unstable; urgency=low

  * Remove install-stamp from debian/rules
  * Change Getopt::Long::Configure to Getopt::Long::config in dch to allow
    the package to still work in slink (closes: #51442)

 -- Julian Gilbey <jdg@debian.org>  Wed,  1 Dec 1999 00:50:44 +0000

devscripts (2.5.6) unstable; urgency=low

  * Correct debuild bug.  Again.  This regexp is getting silly ;)

 -- Julian Gilbey <jdg@debian.org>  Wed, 24 Nov 1999 09:28:44 +0000

devscripts (2.5.5) unstable; urgency=low

  * Correct debuild to only pass -spgp and -sgpg options to debsign, not
    -sa and suchlike (closes: #51065)

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 12:18:47 +0000

devscripts (2.5.4) unstable; urgency=low

  * Added perl shebang test to debian-test suite
  * Recompile to correct perl shebang line (closes: #51039 and all other
    reports about the same thing!)
  * Preserve DEB_BUILD_OPTIONS (request from Joseph Carter)

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 11:19:12 +0000

devscripts (2.5.3) unstable; urgency=low

  * Correct uupdate syntax error (closes: #50881)
  * Correct debsign regexp error again! (closes: #50877)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Nov 1999 18:24:00 +0000

devscripts (2.5.2) unstable; urgency=low

  * Fixed debrelease back in version 2.5.0 to pass on options to dupload,
    but forgot to say so.
  * All of the programs which look for a .changes file now accept the
    dpkg-buildpackage/dpkg-architecture -a and -t options (again, done in
    2.5.0)
  * Correct 'eq' -> '-eq' in test command (and it's the third time I've
    made that mistake in as many days...) (closes: #50549)
  * Added a simple debian-test script to check that I get the version
    numbering right....
  * Added build dependecies (which wasn't really that hard...)
  * Correct debdiff problem: forgot to chdir back after looking at first
    changes file
  * debit now runs debian-test *without* su nobody; I believe that it is
    the responsibility of the test programs themselves to handle choosing
    their userid
  * Correct handling of .changes file entries when package is in
    non-US/main/libs or suchlike (really closes: #50281)

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Nov 1999 01:50:32 +0000

devscripts (2.5.1) unstable; urgency=low

  * Cleaned up Makefile.am
  * Small correction to mustsetvar logic in uscan

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 21:44:26 +0000

devscripts (2.5.0) unstable; urgency=low

  * Add -m option to deb(r)sign to parallel the behaviour of
    dpkg-buildpackage; this is obviously desirable, and necessary to
  * make sure that debuild pays attention to any -m, -k, -p or -s options
    given to dpkg-buildpackage when calling debsign (should close #50281),
    and
  * make debsign sign the right .changes file!  (closes: #50134)
  * Teach debdiff to fully handle potato version of dpkg -c output
  * Make debdiff able to handle .changes files as well as just single .deb
    files
  * Make debdiff Perl more idiomatic
  * Allow deb[ic] to handle multiple binary packages by parsing .changes
    file (closes: #33699)
  * Merged deb[ic] into one file, as their functionality is almost
    identical
  * Corrected a few more occurrences of manually parsing changelogs (which
    I should have done when correcting bug #43082)
  * Add Joey's plotchangelog program (closes: #50150)
  * Added a README.i18n file
  * Added James R. Van Zandt's debit script, merged into a single script
    with debi.
  
 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 02:41:57 +0000

devscripts (2.4.6) unstable; urgency=low

  * Rebuild with correct Perl paths

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Nov 1999 02:26:42 +0000

devscripts (2.4.5) unstable; urgency=low

  * Remove references to libtricks package from descriptions (close:
    #49937, even though I made the correction the day before the bug
    report arrived!)
  * Only suggest gnupg rather that recommend (closes: #49882)
  * s/sprint/sprintf/ in dscverify (closes: #49721)
  * Add --version and --help options to all programs (and this effectively
    closes: #49554)
  * Add long options to all programs except for deb(r)sign, as the options
    there match those in dpkg-buildpackage (closes: #41850)
  * No longer suggest PGP, as GNU Privacy Guard with the requisite
    extensions should be sufficient
  * Correct debdiff to take account of new format of dpkg-deb -c output
    (and why did it change?)
  * Make sure debian/rules clean really does that (error in Makefile.am)
  * Rewrite of internals of debuild in several places, especially with
    regard to -r handling.  Much nicer logic now.

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Nov 1999 01:49:40 +0000

devscripts (2.4.4) unstable; urgency=low

  * Correct spurious debian/changelog.dch error message (closes: #49435)

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Nov 1999 18:02:07 +0000

devscripts (2.4.3) unstable; urgency=low

  * Add ssh | ssh-nonfree suggest (forgot when adding remote signing
    capabilities to deb(r)sign in 2.4.[01])

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Nov 1999 02:37:17 +0000



=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Standards-Version: 3.1.1
Build-Depends-Indep: perl5, debhelper

Package: devscripts
Architecture: all
Conflicts: debmake (<< 3.5), dupload (<< 2.1)
Depends: dpkg-dev, perl5 | perl
Recommends: fakeroot, dupload (>=2.1), netstd (<<3.07-8) | ftp, libdigest-md5-perl
Suggests: debian-keyring, perl5-suid | perl-suid, wget, lintian, patch, ssh, gnupg, gnuplot, libtimedate-perl, debian-test
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts:
  - dch, debchange: Automagically add entries to debian/changelog files
  - debclean: Purge a Debian source tree
  - debuild: Wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc.
  - debdiff: Compare two versions of a Debian package to check for
      added and removed files
  - debpkg: Dpkg wrapper to be able to manage/test packages without su
  - debi, debc: Convenience scripts to install a package and display
      its contents
  - debrelease: Wrapper around dupload
  - dscverify: Verify the integrity of a Debian package from the
      .changes or .dsc files
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing
  - plotchangelog: view a nice plot of the data in a changelog file
  - uupdate: Integrate upstream changes into a source package
  - uscan: Scan upstream sites for new releases of packages
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir='$${prefix}/share/man'
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=`pwd`/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README README.i18n
	dh_installexamples
#	This is now done by the make install command above, albeit a little
#	less efficiently
#	dh_installmanpages
	cp debian/test `pwd`/debian/tmp/usr/lib/debian-test/tests/devscripts
	chmod 755 `pwd`/debian/tmp/usr/lib/debian-test/tests/devscripts
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

# Local variables:
# mode: makefile
# End:

## devscripts 2.7.0

=== Makefile ===
# Simplified Makefile for devscripts

PL_FILES = bts.pl debchange.pl debdiff.pl debpkg.pl debuild.pl \
	dpkg-depcheck.pl dscverify.pl grep-excuses.pl plotchangelog.pl

SH_FILES = build.sh debclean.sh debi.sh debrelease.sh debrsign.sh \
	debsign.sh dpkg-genbuilddeps.sh mergechanges.sh release.sh \
	signchanges.sh uscan.sh uupdate.sh

LIBS = libvfork.so.0

PERL_MODULES = Devscripts

SCRIPTS = $(PL_FILES:.pl=) $(SH_FILES:.sh=)
EXAMPLES = conf.default

MANS = $(SCRIPTS:=.1) debc.1 devscripts.1
GEN_MANS = bts.1

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
EXAMPLES_DIR = /usr/share/devscripts
PERLMOD_DIR = /usr/share/devscripts
BIN_LIBDIR = /usr/lib/devscripts
MANDIR = /usr/share/man/man1

all: $(SCRIPTS) $(GEN_MANS) $(EXAMPLES) $(LIBS)

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

%: %.sh version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@

%: %.pl version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

bts.1: bts.pl
	pod2man --center=" " --release="Debian Utilities" $< > $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<

libvfork.so.0: libvfork.o
	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f version conf.default $(SCRIPTS) $(GEN_MANS) $(SCRIPT_LIBS) \
	    libvfork.o libvfork.so.0

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cd $(DESTDIR)$(BINDIR) && ln -s debchange dch
	cd $(DESTDIR)$(BINDIR) && ln -s debi debit
	cd $(DESTDIR)$(BINDIR) && ln -s debi debc
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PERLMOD_DIR)
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	mkdir -p $(DESTDIR)$(MANDIR)
	cp $(MANS) $(DESTDIR)$(MANDIR)
	cd $(DESTDIR)$(MANDIR) && ln -s debchange.1 dch.1
	cd $(DESTDIR)$(MANDIR) && ln -s debi.1 debit.1
	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)

=== debian/changelog ===
devscripts (2.7.0) unstable; urgency=low

  * debclean: don't remove .upload files (closes: #140161)
  * I think it's ready enough to bump the version number!

 -- Julian Gilbey <jdg@debian.org>  Sun, 31 Mar 2002 10:02:49 +0100

devscripts (2.6.99) unstable; urgency=low

  * debdiff: fix dsc handling on native packages (closes: #139776)

 -- Julian Gilbey <jdg@debian.org>  Mon, 25 Mar 2002 08:52:34 +0000

devscripts (2.6.98) unstable; urgency=low

  * uscan: fix handling of HTTP-proxied FTP requests (closes: #138882)
  * uscan: add --debug features

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Mar 2002 22:51:03 +0000

devscripts (2.6.97) unstable; urgency=low

  * debdiff: add support for comparing source packages (closes: #94908)

 -- Julian Gilbey <jdg@debian.org>  Sun, 17 Mar 2002 23:46:17 +0000

devscripts (2.6.96) unstable; urgency=low

  * uscan: typo in manpage (closes: #138486)
  * uscan: allow per-site PASV/active selection (closes: #127646)
  * add devscripts.1 manpage (closes: #138485)

 -- Julian Gilbey <jdg@debian.org>  Sun, 17 Mar 2002 12:28:53 +0000

devscripts (2.6.95) unstable; urgency=low

  * debuild: don't die with -tc option (closes: #138478)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 17:14:53 +0000

devscripts (2.6.94) unstable; urgency=low

  * James' comment means that the procmail script can be even more
    economical.
  * Also correct the regexp (which would have failed in the past)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 16:58:53 +0000

devscripts (2.6.93) unstable; urgency=low

  * debuild: use lintian according to DEBUILD_LINTIAN ;-) (closes: #138445)
  * procmail examples: update for ACCEPTED messages (closes: #138460)
  
 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 16:01:31 +0000

devscripts (2.6.92) unstable; urgency=low

  * debdiff: fixed syntax error (closes: #138381)
  * debdiff: and use proper logic for wdiff exit status (closes: #138383)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 11:17:07 +0000

devscripts (2.6.91) unstable; urgency=low

  * grep-excuses: fixed parsing problem (closes: #138227)
  * uscan: fixed FTP regex
  * uscan: chdir back to where we started between directories
    (closes: #138232)
  * uupdate: add (and document) bzip2 support (closes: #138247)

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Mar 2002 10:06:35 +0000

devscripts (2.6.90) unstable; urgency=low

  * Simplified whole build process.
  * Removed broken i18n support -- if it's wanted, we can reintroduce it
    when Perl supports a --dump-po-strings type function (or we can write
    it manually)
  * devscripts now has a config file!  Yeah!  (closes: #40729)
  * New scripts:
    - dpkg-depcheck (from Bill Allombert <ballombe@debian.org>)
    - grep-excuses (closes: #129444)
    - mergechanges (closes: #130849)
  * bts: document BROWSER in ENVIRONMENT VARIABLES section (closes:
    #116417)
  * bts: accepts 'tags' as a synonym for 'tag' (closes: #113262)
  * bts: accepts --help and --version arguments
  * debchange: allow it to understand both dupload and dput .upload
    formats
  * debchange: handle EMAIL='Full Name <email@address>' (closes: #133632)
  * debchange: now uses config variable for --preserve option
  * debchange: introduce -d/--fromdirname option (closes: #116352)
  * debchange: clarify --newversion explanation in manpage (closes: #137392)
  * debclean: introduced --cleandebs option and config variable: now only
    removes .deb etc. files if specifically requested to
  * debdiff: fixed dirs moving around among multiple packages (closes:
    #113151)
  * debdiff: use configuration file
  * debrelease: can use dput or dupload (closes: #118071)
  * debrelease: can now handle source-only uploads
  * debrelease: use configuration file
  * deb[r]sign: teach it about source-only .changes files
  * debsign: don't delete signed files if the scp to transfer them back
    failed (thanks to Joey Hess for patch) (closes: #126395)
  * debsign: use configuration file
  * debuild: teach it about source-only builds (closes: #114699) and
    binary-only builds (closes: #115168)
  * debuild: correct -E description in usage info (closes: #126171)
  * debuild: correct -p option handling (closes: #122870)
  * debuild: now uses configuration file (closes: #36793)
  * debuild: check for existence of fakeroot (closes: #137605)
  * dpkg-genbuilddeps: now a wrapper around dpkg-depcheck.  This latter
    program can be used instead if there is a problem with strace hanging
    on dpkg --build; simply only trace the build target.
  * dscverify: now uses the same gpg command as katie for signature
    verification, which has simplified the code significantly
  * dscverify: now also check signature on .dsc file included in .changes
    file
  * dscverify: now uses configuration file
  * uscan: rewrote in Perl to make handling other bugs simpler
  * uscan: new, simpler, watch file format available, ironically also
    allows handling of more complex http:// searches (closes: #126789)
  * uscan: correct handling of absolute filenames (closes: #120416, #126768)
  * uscan: verbose and non-verbose modes available (closes: #126705)
  * uscan: report-only mode available (closes: #126705)
  * uscan: allows choosing PASV or non-PASV (default) mode (closes: #127646)
  * uscan: symlinks (by default) pkg_version.orig.tar.gz to downloaded
    file (closes: #127580)
  * uscan: now uses configuration file
  * uupdate: correct match regexp (closes: #114798)
  * uupdate: now uses pristine source by default (closes: #131448)
  * debian.procmail: remove old quake list reference (closes: #136058)

 -- Julian Gilbey <jdg@debian.org>  Mon,  4 Feb 2002 13:00:36 +0000

devscripts (2.6.4) unstable; urgency=low

  * Fix postscript typo (closes: #112437)
  * bts: add missing tags (closes: #113240)
  * bts: fix comment handling in bts control commands (closes: #113890)
  * plotchangelog: add -b/--bugcount option to --help output (closes:
    #112585)



=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Standards-Version: 3.5.3
Build-Depends: perl, debhelper (>= 3.0.5)

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1)
Depends: dpkg-dev, ${perl:Depends}, ${shlibs:Depends}
Recommends: fakeroot
Suggests: build-essential, debian-keyring, debian-test, dupload (>=2.1) | dput, gnupg, gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian, mailx, patch, perl-suid, ssh, strace, wdiff, www-browser
Conflicts: suidmanager (<< 0.51)
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
  - bts: A command-line tool for manipulating the BTS [www-browser, mailx]
  - dch, debchange: Automagically add entries to debian/changelog files
  - debclean: Purge a Debian source tree [fakeroot]
  - debuild: Wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc. [fakeroot, lintian,
      gnupg]
  - debdiff: Compare two versions of a Debian package to check for
      added and removed files [wdiff]
  - debpkg: Dpkg wrapper to be able to manage/test packages without su
      [perl-suid]
  - debi, debc: Convenience scripts to install a package and display
      its contents
  - debit: Convenience script to install a package and run debian-test
      on it [debian-test]
  - debrelease: Wrapper around dupload or dput [dupload | dput, ssh]
  - dscverify: Verify the integrity of a Debian package from the
      .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing [gnupg,
      debian-keyring, ssh]
  - dpkg-depcheck, dpkg-genbuilddeps: Determine the packages used during
      the build of a Debian package; useful for determining the Build-Depends
      control field needed [build-essential, strace]
  - grep-excuses: grep the update_excuses.html file for your packages
      [libwww-perl]
  - mergechanges: merge .changes files from a package built on different
      architectures
  - plotchangelog: view a nice plot of the data in a changelog file
      [libtimedate-perl, gnuplot]
  - uupdate: Integrate upstream changes into a source package [patch]
  - uscan: Scan upstream sites for new releases of packages [libwww-perl]
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS := CFLAGS='-g -O2 -Wall'
else
CFLAGS := CFLAGS='-O2 -Wall'
endif

build-indep: build-stamp-indep
build-stamp-indep:
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch:
	dh_testdir
	$(MAKE) $(CFLAGS)
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f build-stamp*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=`pwd`/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
#	This is now done by the make install command above
#	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.7.95.1

=== Makefile ===
# Simplified Makefile for devscripts

PL_FILES = bts.pl checkbashisms.pl cvs-debuild.pl debchange.pl \
	debdiff.pl debi.pl debpkg.pl debuild.pl dpkg-depcheck.pl \
	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl

SH_FILES = cvs-debi.sh cvs-debrelease.sh debclean.sh debrelease.sh \
	debrsign.sh debsign.sh dpkg-genbuilddeps.sh mergechanges.sh \
	uscan.sh uupdate.sh wnpp-alert.sh

LIBS = libvfork.so.0

PERL_MODULES = Devscripts

CWRAPPERS = debpkg-wrapper

SCRIPTS = $(PL_FILES:.pl=) $(SH_FILES:.sh=)
EXAMPLES = conf.default

MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
MAN1S_FR = debclean.fr.1
GEN_MAN1S = bts.1
MAN5S = devscripts.conf.5

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
EXAMPLES_DIR = /usr/share/devscripts
PERLMOD_DIR = /usr/share/devscripts
BIN_LIBDIR = /usr/lib/devscripts
MAN1DIR = /usr/share/man/man1
MAN1_FR_DIR = /usr/share/man/fr/man1
MAN5DIR = /usr/share/man/man5

all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS)

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

%: %.sh version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@

%: %.pl version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

bts.1: bts.pl
	pod2man --center=" " --release="Debian Utilities" $< > $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<

libvfork.so.0: libvfork.o
	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f version conf.default $(SCRIPTS) $(GEN_MAN1S) $(SCRIPT_LIBS) \
	    libvfork.o libvfork.so.0

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cd $(DESTDIR)$(BINDIR) && ln -s debchange dch
	cd $(DESTDIR)$(BINDIR) && ln -s debi debc
	cd $(DESTDIR)$(BINDIR) && ln -s cvs-debi cvs-debc
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PERLMOD_DIR)
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
	mkdir -p $(DESTDIR)$(MAN1DIR)
	cp $(MAN1S) $(DESTDIR)$(MAN1DIR)
	mkdir -p $(DESTDIR)$(MAN1_FR_DIR)
	for i in $(MAN1S_FR); do \
	    cp $$i $(DESTDIR)$(MAN1_FR_DIR)/$${i%.fr.1}.1; \
	done
	mkdir -p $(DESTDIR)$(MAN5DIR)
	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)

=== debian/changelog ===
devscripts (2.7.95.1) unstable; urgency=low

  * bts: fixed some major blunders in bts show command: now shows
    something in offline mode, and multiple instances of bts show work
    concurrently

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 Dec 2003 18:47:25 +0000

devscripts (2.7.95) unstable; urgency=low

  * New script:
    - cvs-debrelease: to complete the cvs-* scripts bundle, this one
      replicates the debrelease behaviour
  * bts: remove special tag:<tag> processing, as the BTS understands
    tag:<tag> requests (thanks Colin!)
  * cvs-deb{c,i}: call deb{c,i} directly
  * debchange: don't give unnecessary UTF-8 warning notice (closes:
    #222110)
  * dscverify: fix ENOENT bug (closes: #222890)
  * uscan: some minor cleanups

 -- Julian Gilbey <jdg@debian.org>  Mon,  8 Dec 2003 23:14:49 +0000

devscripts (2.7.94.3) unstable; urgency=low

  * debi/debc: fix typo in determining .changes filename (closes: #221842)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 21:50:54 +0000

devscripts (2.7.94.2) unstable; urgency=low

  * Fix bts email From: line bug (closes: #221848)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 14:31:36 +0000

devscripts (2.7.94.1) unstable; urgency=low

  * And get rc-alert to work (closes: #221767)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 00:43:31 +0000

devscripts (2.7.94) unstable; urgency=low

  * Really include rc-alert (closes: #221550)
  * debchange: fix UTF-8 problems (closes: #218785)

 -- Julian Gilbey <jdg@debian.org>  Wed, 19 Nov 2003 15:26:25 +0000

devscripts (2.7.93) unstable; urgency=low

  * New scripts:
    - cvs-debuild: wrapper for debuild to use cvs-buildpackage, or for
                   cvs-buildpackage to use debuild (closes: #36344 at last!)
    - cvs-debi, cvs-debc: wrapper for debi, debc to use in conjunction
                   with cvs-debuild or cvs-buildpackage; function like
                   debi and debc, but are run from the CVS working
                   directory instead (also in #36344)
    - rc-alert:    list all installed packages which appear in the
                   list of packages with RC bugs
    - wnpp-alert:  list all installed packages which appear in the WNPP
                   orphaned or up-for-adoption lists (closes: #188246)
  * lots of scripts: remove --ignore-dirname option and provide
    --check-dirname-level and --check-dirname-regex along with
    configuration file options to set the default directory name-checking
    behaviour (closes: #218153)
  * lots of scripts: provide --no-conf/--noconf option for all scripts
    which read the devscripts configuration files, and provide useful
    information when the --help option is used (closes: #218224)
  * bts: identify itself in its automatic emails (closes: #199312)
  * bts: dangerous "no-option" behaviour to cleancache changed
  * bts: completely rewrite the caching system using LWP, based on an idea
    gleaned from the original rc-alert together with knowledge of the BTS
    internals ;-); this does give a couple of minor disadvantages, but
    lots of major advantages too (the code is *much* cleaner now, and we
    only need to store each page once!); there is still a slightly messy
    converter to convert the old cache to the new format, but that shall
    go away soonish (probably after 2-3 months or sarge release, whichever
    is sooner), to be replaced with a simple warning
  * bts: support "bts bugs tag:<tag>" (closes: #218494)
  * bts: deprecate "bts close" command, following the lead of debbugs
  * accept EMAIL as well as DEBEMAIL (closes: #219127)
  * debi, debc: rewrote in Perl (there was so much Perl embedded, it
    didn't make sense to leave it in shell script)
  * debi, debc: provide --no-conf option
  * debc/debi: support only listing/installing specified packages (closes:
    #200372)
  * debchange: improve regex to recognise more successful uploads (closes:
    #218242)
  * debchange: perform various UTF-8 checks (closes: #218785)
  * debpkg: remove /usr/local components from PATH
  * debsign: improve gpg/pgp selection heuristics (closes: #158614,
    #211031)
  * debsign: improve manpage
  * debuild: fix command line parsing (uploaded this one as 2.7.92.1)
    (closed #218108, #218234)
  * debuild: more command-line parsing stuff (closes: #218379, #220900)
  * debuild: pass -e<maint> option to debsign (oops!)
  * debuild: deprecate -E option (dpkg-buildpackage now uses it); so only
    -e and -r short options are left
  * debuild: deprecate -L/--lintian option for indicating lintian options,
    replace with --lintian-opts
  * debuild: support linda (closes: #178456)
  * debuild: now always recognises -d/-D options to skip/force use of
    dpkg-checkbuilddeps (closes: #188216)
  * grep-excuses: converted to use wget and caching instead of libwww-perl
    (faster)
  * plotchangelog: provided --cumulative option
  * devscripts.conf.5: new manpage (closes: #217858)
  * removed the dummy build, release and signchanges scripts (they were
    renamed over four years ago)
  * updated the devscripts.conf default file to add new programs to the
    list
  * note that it's really sourced by /bin/bash. not generic /bin/sh (and
    modify the rest of the package accordingly); this cleans up a minor
    inconsistency
  * place symlink to the default config file in doc directory
  * improved tempfile security in plotchangelogs, debdiff, grep-excuses

 -- Julian Gilbey <jdg@debian.org>  Mon, 17 Nov 2003 22:40:29 +0000

devscripts (2.7.92.1) unstable; urgency=low

  * debuild: fix command line parsing (backported from 2.7.93pre2)
    (closes: #218108, #218234)

 -- Julian Gilbey <jdg@debian.org>  Fri, 31 Oct 2003 10:33:07 +0000

devscripts (2.7.92) unstable; urgency=low

  * Security fix: be a lot more careful when traversing directory trees
    looking for debian/changelog files; only perform potentially harmful
    actions if the directory name matches the package name (i.e., package


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Standards-Version: 3.6.1
Build-Depends: perl, debhelper (>= 4.0.0)

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1)
Depends: dpkg-dev, debianutils (>= 2.0), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, build-essential, cvs-buildpackage, debian-keyring, dupload (>=2.1) | dput, gnupg, gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, www-browser
Conflicts: suidmanager (<< 0.51)
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
  - bts: a command-line tool for manipulating the BTS [www-browser,
      libwww-perl, mailx]
  - checkbashisms: check whether a /bin/sh script contains any common
      bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
      dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
      package building program [cvs-buildpackage, fakeroot, lintian | linda,
      gnupg]
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
      [libwww-perl]
  - debclean: purge a Debian source tree [fakeroot]
  - debdiff: compare two versions of a Debian package to check for
      added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing [gnupg,
      debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc. [fakeroot,
      lintian | linda, gnupg]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
      the build of a Debian package; useful for determining the Build-Depends
      control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
      .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - mergechanges: merge .changes files from a package built on different
      architectures
  - plotchangelog: view a nice plot of the data in a changelog file
      [libtimedate-perl, gnuplot]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - uscan: scan upstream sites for new releases of packages [libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - wnpp-alert: list installed packages which are orphaned or up for
      adoption [wget]
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DH_COMPAT=3
-
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS := CFLAGS='-g -O0 -Wall'
+else
 CFLAGS := CFLAGS='-g -O2 -Wall'
-else
-CFLAGS := CFLAGS='-O2 -Wall'
 endif
 
+# Here we perform some checks to ensure that we haven't goofed or left
+# debugging code around or ... before we build the package
+test: test-stamp
+test-stamp:
+	# debugging info in bts?
+	if grep -q '\$debug *= *1' bts.pl; then exit 1; else exit 0; fi
+	touch test-stamp
+
 build-indep: build-stamp-indep
-build-stamp-indep:
+build-stamp-indep: test-stamp
 	dh_testdir
 	touch build-stamp-indep
 
 build-arch: build-stamp-arch
-build-stamp-arch:
+build-stamp-arch: test-stamp
 	dh_testdir
 	$(MAKE) $(CFLAGS)
 	touch build-stamp-arch
@@ -29,7 +35,7 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) clean
-	rm -f build-stamp*
+	rm -f build-stamp* test-stamp
 	dh_clean
 
 install: build
@@ -51,6 +57,8 @@
 	dh_installexamples
 #	This is now done by the make install command above
 #	dh_installman
+	dh_link /usr/share/devscripts/conf.default \
+		/usr/share/doc/devscripts/devscripts.conf.ex
 	dh_installchangelogs
 	dh_strip
 	dh_compress
